package com.cardiff.client_project.service;

import com.cardiff.client_project.pojo.entity.Nurse;
import com.cardiff.client_project.utils.Result;
import java.util.List;

public interface NurseService {

    /**
     * insert nurse
     * @param nurse
     * @return
     */
    Result insertNurse(Nurse nurse);

    /**
     * delete information by id
     * @param ids
     * @return
     */
    Result deleteById(List<Integer> ids, String type);

    /**
     * Query nurse information
     * @return
     */
    Result selectAllNurse(int hospitalId);

    /**
     * Update data
     * @param nurse
     * @return
     */
    Result update(Nurse nurse);

    /**
     * fuzzy query
     * @param nurse
     * @return
     */
    Result selectByItem(Nurse nurse);
}
